Subject: Re: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Jambunathan K <[email-masked]>
Date: Wed, 28 Sep 2011 18:30:59 +0530

> I think we have not yet settled this issue:
>   "z" or "zh" for ழ

My recommendation is that we don't make a one-off change. 

I am largely OK with `z' and `J' offered by you primarily because I see
that entry listed in the table linked below

http://www.aczoom.com/itrans/html/tamil/node5.html [1]

I see that ta-itrans mappings in Emacs is largely in agreement with the
mappings in the above table save for few characters [2]. So my vote is
for aligning Emacs's table with AC's ITRANS tables. I concur with
Vijay's comment that the choices made in AC's table are less than
perfect [3].

My little research, suggests that that there are multiple contemporary
and competing implementations for ta-itrans. Under these circumstances,
it is important that the Emacs' implementation stick to just a single
system. It would be wonderful if we could get in touch with the original
author of ta-itrans and understand the source of Emacs's mappings.

When time permits, I will spend some time looking at some authoritative
websites and try to form an opinion [4].

>> > That's strange.  My Tamil Lohit font is Version 2.4.4 (older
>> > than yours), and it displays the line for #0BB6 correctly.
>
>> Do you see heart-shaped strcutures in that line much similar to what you
>> see in ta-itrans-1.png that I attached earlier?
>
> No, I attach my image file.  I think that heart-shaped glyph
> is actually U+25CC (DOTTED CIRCLE) used to display an
> isolated combining character.  Which version of m17n-db are
> you using?

I am on Windows XP. So I believe the equivalent of m17n-db is
uniscribe. 

For the sake of record, the following messages suggest that #0BB6 is not
properly rendered on Windows XP. It is apparently fixed on Windows
Vista.

http://unicode.org/mail-arch/unicode-ml/y2007-m07/0004.html
http://unicode.org/mail-arch/unicode-ml/y2007-m07/0005.html

Jambunathan K.

Footnotes: 

[1]  This page seems to me to be near authoritative as far as ITRANS is
concerned and is often cited in articles of any note. 

For example, the Wikipedia article 
- http://en.wikipedia.org/wiki/ITRANS

and The Indian Institute of Technology, Madras article 
- http://acharya.iitm.ac.in/multi_sys/transli/schemes.php

[2] Comparison between Emacs and AC's ITRANS tables. Minor differences
are marked with `x' and major differences are marked with `xx'. In
effect there are only 5 major differences.

character       Emacs           AC's ITRANS             Difference
அ               a               a
ஆ               A or aa         A or AA
இ               i               i
ஈ               I or ii         I or ii
உ               u               u
ஊ               U or uu         U or uu
எ               e               e
ஏ               E               E
ஐ               ai              ai
ஒ               o               o
ஓ               O               O
ஔ               au              au
ஃ               H               q                       xx
ஸ்ரீ              SRI             srii                    xx

க்               k               k or g                  x
ங்               N^ or ~N        N^ or ~N
ச்               ch              ch
ஞ்               JN or ~n        ~n                      x
ட்               T               T or Th                 x
ண்               N               N
த்               t               t or th                 x
ந்               n               n
ப்               p               p or b                  x
ம்               m               m
ய்               y               y
ர்               r               r
ல்               l               l
வ்               v or w          v or w
ழ்               z or J          z or J
ள்               L or ld         L                       x
ற்               rh              R                       xx
ன்               nh              ^n                      xx
ஜ்               j               j
ஶ்                              sh                      xx
ஷ்               Sh or shh       Sh                      x
ஸ்               s               s
ஹ்               h               h
க்ஷ்              x               x or ksha               x

[3] Emacs being customizable, I hope it allows for users to tweak the
stock ITRANS table to suit his taste. For example, it should be possible
for one to create custom ITRANS table based on the table at the bottom
of this page.

http://www.yash.info/indianLanguageConverter/tamil.html

(The above table was pointed to by Vijay)

Personally I find some of the mappings in Vijay's table are less than
satisfactory to my tastes.

[4] For example,

"International Forum for Information Technology in Tamil"
- http://infitt.org/